Bug 223765 - nautilus-sento makes gaim crash
Summary: nautilus-sento makes gaim crash
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus-sendto (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-22 09:55 UTC by Bart Vanbrabant
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-25 13:32:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bart Vanbrabant 2007-01-22 09:55:34 UTC
Description of problem:
The new gaim beta6 crashes when nautilus-sendto is installed.

Version-Release number of selected component (if applicable):
gaim-2.0.0-0.30.beta6.fc7
nautilus-sendto-0.8-3.fc7

How reproducible:
Install both packages and start gaim. When I remove nautilus-sendto gaim works fine.
  
Actual results:
#0  0x4cd4978b in strlen () from /lib/libc.so.6
#1  0x4cd1c33c in vfprintf () from /lib/libc.so.6
#2  0x4cd3a5bc in vasprintf () from /lib/libc.so.6
#3  0x4cff57b7 in g_vasprintf () from /lib/libglib-2.0.so.0
#4  0x4cfe884c in gaim_marshal_BOOLEAN__POINTER_POINTER_POINTER_POINTER_POINTER
() at signals.c:918
#5  0x4cfe8887 in g_string_append_printf () from /lib/libglib-2.0.so.0
#6  0x00366485 in get_online_buddies () from /usr/lib/gaim/nautilus.so
#7  0x00366415 in get_online_buddies () from /usr/lib/gaim/nautilus.so
#8  0x00366415 in get_online_buddies () from /usr/lib/gaim/nautilus.so
#9  0x00366532 in save_online_buddies () from /usr/lib/gaim/nautilus.so
#10 0x4cfcca16 in gaim_marshal_BOOLEAN__POINTER_POINTER_POINTER_POINTER_POINTER
() at signals.c:918
#11 0x4cfcc442 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#12 0x4cfcf41f in gaim_marshal_BOOLEAN__POINTER_POINTER_POINTER_POINTER_POINTER
() at signals.c:918
#13 0x4cfcf7c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#14 0x429d8514 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#15 0x080b300b in main (argc=1, argv=0xbfeed5f4) at gtkmain.c:817

Comment 1 Bart Vanbrabant 2007-01-22 10:03:19 UTC
A rebuild of the nautilus-sendto srpm fixes the problem.

Comment 2 Alexander Larsson 2007-01-23 12:54:29 UTC
I'm rebuilding as 0.8-4, can you verify it fixes it?



Comment 3 Bart Vanbrabant 2007-01-23 13:01:56 UTC
I'll try it when it gets in rawhide. When I did the rebuild test yesterday I
restarted nautilus and gaim and I was able to get the sendto menu with all my
contacts.
When I booted my pc this morning I noticed gaim hadn't started, the segfault
seems to appear again. When 0.8-4 is in rawhide and the problem persists I'll
generate a new backtrace.

Comment 4 Bart Vanbrabant 2007-01-25 13:32:15 UTC
I've been trying to make it crash in all possible ways and it seems to work
stable now.


Note You need to log in before you can comment on or make changes to this bug.